<?php
  $addImageSizePlugin = new addImageSizePlugin;

  if ($_SERVER['REQUEST_METHOD'] === 'POST' && !empty($_REQUEST['addImage']))
  {
    $addImageSizePlugin->setSize($_REQUEST['addImage']);
  }
?>
<script src="//cdn.jsdelivr.net/jsrender/1.0pre35/jsrender.min.js"></script>
<script id="sizeTemplate" type="text/x-jsrender">
  <tr>
    <td class="form_width"><input name="addImage[{{:id}}][width]" value="{{:width}}"></td>
    <td class="form_height"><input name="addImage[{{:id}}][height]" value="{{:height}}"></td>
    <td><button type="button" class="delete">削除</button></td>
  </tr>
</script>
<script type="text/javascript">
var formId         = 0;
var registeredSize = jQuery.parseJSON('<?php echo json_encode($addImageSizePlugin->getSizeAll())?>');

var addSizeField = function(setting){
  var data = {
    id : formId++
  };

  jQuery.extend(data, setting);

  jQuery('#table').append(jQuery('#sizeTemplate').render(data));
};

var deleteSizeField = function(){
  jQuery('.delete').off('click').on('click', function(){
    jQuery(this).parent().parent().remove();
  });
};

jQuery(function () {
  for (var i in registeredSize){
    addSizeField(registeredSize[i]);
  }
  deleteSizeField();

  jQuery('#add').on('click', function(){
    addSizeField();
    deleteSizeField();
  });
}); 
</script>
<div class="wrap">
<h2>画像サイズ設定</h2>
<form method="post" action="<?php echo $_SERVER['REQUEST_URI']?>">
  <table id="table">
  <tr>
    <th>width</th>
    <th>height</th>
  </tr>
  </table>
  <p><button id="add" type="button">追加</button></p>
  <p><button id="submit" type="submit">確定</button></p>
</form>
</div>
